Get DNS records
Retrieve DNS zone records for a specific domain. Use this endpoint to view current DNS configuration for domain management.
Retrieve DNS zone records for a specific domain.
Use this endpoint to view current DNS configuration for domain management.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
domainstringRequiredExample:
Domain name
mydomain.tldResponses
200
Success response
application/json
Array of DNS.V1.Zone.RecordResource
namestringOptionalExample:
Name of the record (use @ for wildcard name)
wwwttlintegerOptionalExample:
TTL (Time-To-Live) of the record
14400typestring · enumOptionalExample:
Type of the record
APossible values: 401
Unauthenticated response
application/json
500
Error response
application/json
get/api/dns/v1/zones/{domain}
GET /api/dns/v1/zones/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"name": "www",
"records": [
{
"content": "mydomain.tld.",
"is_disabled": false
}
],
"ttl": 14400,
"type": "A"
}
]Last updated
Was this helpful?